VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 15
声望: 1

一般情况下,左下角会还最后显示合约信息查询成功(期货穿透式仿真是这样,最后也完成了期货穿透式)。。但
CTP期权(etf期权测试),我申请的中信期货股票期权,,到了仿真测试环节,,左下角结算信息确认成功后就一直没有合约信息查询成功,,这个股票期权到了查到结算就没了,然后什么合约都查不到了,然后无法测试交易

中信期货那问,版本式匹配的吗,ctp股票期权他们是tradeAPI_3.6.3_T_20211224

vnpy里sopttest原封未动的api,连了一直没有合约信息查询成功,,找到了sopttest,替换中信的api,一连,出现结算成功,界面就跳没了,但中信期货查到我连上了。。

vnpy原封的api连接,在station界面右边一直过会就有send heartbeat输出。大致情况这样

另一台电脑另一个地点情况一样

Member
avatar
加入于:
帖子: 15
声望: 1

vnpy公众号回复版本不同的问题,vnpy的版本是3.5.5.。。。
可是,中信是3.6.3,,问了宏源,是3.6.6.。他们都说向下兼容。。但中信期货股票期权接口这,就是卡在合约信息读取不到。估计到宏源区开户也会遇到类似的问题。。问了南华,南华说他们没问题,能接上vnpy。我国庆后试试。。

那,遇到这种问题,vnpy的股票期权接口版本以后应该怎么去兼容所有可以买卖股票期权的期货公司呢,还是一直往最新版去靠拢,还是怎么弄?毕竟股票期权在期货公司开通流程复杂,开完了又接不了vnpy又得去试下一家啊

Member
avatar
加入于:
帖子: 1493
声望: 106

photophoto wrote:

vnpy公众号回复版本不同的问题,vnpy的版本是3.5.5.。。。
可是,中信是3.6.3,,问了宏源,是3.6.6.。他们都说向下兼容。。但中信期货股票期权接口这,就是卡在合约信息读取不到。估计到宏源区开户也会遇到类似的问题。。问了南华,南华说他们没问题,能接上vnpy。我国庆后试试。。

那,遇到这种问题,vnpy的股票期权接口版本以后应该怎么去兼容所有可以买卖股票期权的期货公司呢,还是一直往最新版去靠拢,还是怎么弄?毕竟股票期权在期货公司开通流程复杂,开完了又接不了vnpy又得去试下一家啊

CTP最近几年的版本碎片化得厉害,确实挺麻烦了

Member
avatar
加入于:
帖子: 15
声望: 1

那,是因为每个公司的ctp股票期权接口版本不一造成的吗?,,现在中信、宏源已经3.6以上了,vnpy还是3.5,该是不是升级一下api接口。
那,会不会有些期货公司还是3.5的,一旦你们升级到3.6,其他3.5的接口又用不了vnpy了呢?

怎么统一啊。还是,vnpy辛苦一下,3.5到3.6的接口都打通一下

Member
avatar
加入于:
帖子: 1493
声望: 106

去github仓库开个issue吧,提醒官方后续更新下

Member
avatar
加入于:
帖子: 1
声望: 0

请问楼主 我在linux也遇到一样的问题 请问解决了吗?

Member
avatar
加入于:
帖子: 4768
声望: 289

vnpy_sopttest只提供了windows的3.7.0版本API的支持,linux要用的话,可以去fork源码,然后替换so文件为3.7.0的版本,重新编译安装试试看

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】